// Class representing the properties of an isometric
// game tile. x/y grid represent coordinates in the matrix
// while x/y screen represent coordinates in relation to the
// computer screen resolution
class TileClass {
    constructor(x_grid, y_grid, x_screen, y_screen, sprite) {
        this.x_grid = x_grid;
        this.y_grid = y_grid;

        this.x_screen = x_screen;
        this.y_screen = y_screen;

        this.sprite = sprite;
    }

    // Display the provided sprite at the tile's screen coordinates
    display(sprite) {
        image(sprite, this.x_screen, this.y_screen);
    }
}
